declare namespace Wm {
  interface UploadResult {
    result: {
      /**
       * 上传后的文件地址
       */
      file_url: string
    }
  }

  interface VideoCutOptions {
    instances: VideoCutOptionsInstance[]
  }

  interface VideoCutOptionsInstance {
    /**
     * 需要转换的视频地址-通过上传接口返回的地址
     */
    video: string
    // 需要转换的语言
    lang: string
    // 步骤
    steps: string[]
    // 最终视频是否需要合并字幕
    with_sub?: boolean
    // 修改后的字幕
    srt_json_in?: any
  }
  interface VideoCutResultItem {
    /**
     * 转换后的视频地址
     */
    final_video_url: string
    /**
     * 转换后的字幕地址
     */
    srt_url: string
  }
  interface VideoCutResult {
    result: VideoCutResultItem
  }

  interface TimelineItem {
    index: string
    start: string
    end: string
    content: string
  }
 
}
